clan::FadeFilter Class Reference - ClanLib SDK
Description: clan::FadeFilter Class Reference

Public Member Functions | List of all members
clan::FadeFilter Class Reference
clanSound Filters

Fade Filter Class. More...

`#include <fadefilter.h>`

Inheritance diagram for clan::FadeFilter:

## Public Member Functions
| FadeFilter (float initial_volume)
| Fade Filter Constructor.
virtual | ~FadeFilter ()
| Fade Filter Destructor.
void | fade_to_volume (float new_volume, int duration=1000)
| Fade to volume, from 0.0f (no volume) to 1.0f (full volume).
FadeFilterProvider * | get_provider () const
| Retrieves the provider.
float | get_volume () const
| Returns the current volume of the fade filter, from 0.0f (no volume) to 1.0f (full volume).
void | set_volume (float new_volume)
| Sets the volume instant.
Public Member Functions inherited from clan::SoundFilter
| SoundFilter ()
| Constructs a NULL instance.
| SoundFilter (SoundFilterProvider *provider)
| Constructs a sound filter.
| ~SoundFilter ()
void | filter (float **sample_data, int num_samples, int channels)
| Filter callback.
SoundFilterProvider * | get_provider () const
| Retrieves the provider.
bool | is_null () const
| Returns true if this object is invalid.
bool | operator!= (const SoundFilter &other) const
| Inequality operator.
bool | operator== (const SoundFilter &other) const
| Equality operator.
void | throw_if_null () const
| Throw an exception if this object is invalid.

## Additional Inherited Members
Public Attributes inherited from clan::SoundFilter
std::shared_ptr< SoundFilter_Impl > | impl

## Detailed Description

Fade Filter Class.

## Constructor & Destructor Documentation

## ◆ FadeFilter()

clan::FadeFilter::FadeFilter | ( | float | initial_volume | ) |

Fade Filter Constructor.

## ◆ ~FadeFilter()

virtual clan::FadeFilter::~FadeFilter | ( |  | ) |
| virtual

Fade Filter Destructor.

## Member Function Documentation

## ◆ fade_to_volume()

void clan::FadeFilter::fade_to_volume | ( | float | new_volume,
|  | int | duration = 1000 )

Fade to volume, from 0.0f (no volume) to 1.0f (full volume).

## ◆ get_provider()

FadeFilterProvider * clan::FadeFilter::get_provider | ( |  | ) | const

Retrieves the provider.

## ◆ get_volume()

float clan::FadeFilter::get_volume | ( |  | ) | const

Returns the current volume of the fade filter, from 0.0f (no volume) to 1.0f (full volume).

## ◆ set_volume()

void clan::FadeFilter::set_volume | ( | float | new_volume | ) |

Sets the volume instant.

The documentation for this class was generated from the following file:

- fadefilter.h